> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commercepay.asia/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Provider Channels

> The following input parameters are expected to be provided by the merchant to retrieve available payment provider channels.



## OpenAPI

````yaml /openapi.json get /api/services/app/Channel/GetProviderChannels
openapi: 3.0.1
info:
  title: CommercePay API
  version: v1
  description: >
    ---

    **Credentials Accounts**


    Every account is provided with separate keys for testing and for running
    live transactions. Once the merchant application has been approved,
    developers can begin the process of integrating the CommercePay API. The
    following details will be provided to get started with the integration. 


    <a href="https://docs.commercepay.asia/docs/api/d19b0f3289ae0-get-started"
    target="_blank">Get Started</a>
  contact: {}
servers:
  - description: Staging
    url: https://staging-payments.commerce.asia
  - url: https://payments.commerce.asia
    description: Production
security: []
paths:
  /api/services/app/Channel/GetProviderChannels:
    get:
      tags:
        - Channel
      summary: Get Provider Channels
      description: >-
        The following input parameters are expected to be provided by the
        merchant to retrieve available payment provider channels.
      operationId: ApiServicesAppChannelGetproviderchannelsGet
      parameters:
        - name: ChannelId
          in: query
          schema:
            type: integer
            format: int32
          description: >-
            An identifier that represents a CommercePay channel. Refer to the id
            on response endpoints of [Get Channel
            List](/api-reference/get-tenant-channels-by-country).
          required: true
        - $ref: '#/components/parameters/AbpTenantId'
        - $ref: '#/components/parameters/Authorization'
        - $ref: '#/components/parameters/CapSignature'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProviderChannelDto'
              examples:
                Example Response:
                  value:
                    - id: TEST0021
                      name: SBI Bank A SBI
                      displayName: SBI Bank A
                      imageUrl: >-
                        https://commerceasiapayment.blob.core.windows.net/image/payment/channel/2/providerchannel/TEST0021.png
                      status: 1
        '500':
          description: |-
            Internal Server Error
            [Provider does not have channels]
components:
  parameters:
    AbpTenantId:
      schema:
        type: string
      in: header
      name: Abp-TenantId
      required: true
      description: Your unique Merchant ID assigned by CommercePay.
    Authorization:
      schema:
        type: string
      in: header
      name: Authorization
      required: true
      description: Your API credentials used for authentication (typically a Bearer token).
    CapSignature:
      schema:
        type: string
      in: header
      name: cap-signature
      required: true
      description: >-
        A unique security hash used to verify the integrity of the request body.
        See [Generate Signature](/docs/generate-signature) for how to generate
        this.
  schemas:
    ProviderChannelDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: An identifier that represents the payment provider channel
          nullable: true
        name:
          type: string
          description: Payment Provider channel Name
          nullable: true
        displayName:
          type: string
          description: Payment Provider channel Display Name
          nullable: true
        imageUrl:
          type: string
          description: 'Url image of Payment Provider channel '
          nullable: true
        status:
          $ref: '#/components/schemas/ThirdPartyChannelStatus'
    ThirdPartyChannelStatus:
      enum:
        - 0
        - 1
        - 2
        - -1
      type: integer
      format: int32
      x-enumNames:
        - Inactive
        - Active
        - Offline
        - Unknown
      description: Status of the payment provider channel

````